List Shares
GET
/v1/shares
const url = 'https://api.cloud.agentums.ru/v1/shares';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.cloud.agentums.ru/v1/shares \ --header 'Authorization: Bearer <token>'Мои активные ссылки (новые сверху). Возвращаем полный URL, чтобы владелец мог скопировать активную ссылку повторно (см. ShareLink.token_plain).
Authorizations
Заголовок раздела «Authorizations»Parameters
Заголовок раздела «Parameters»Query Parameters
Заголовок раздела «Query Parameters»Responses
Заголовок раздела «Responses»Successful Response
Media typeapplication/json
ShareList
object
items
Items
Array<object>
ShareLinkOutobject
access_count
Access Count
integer
created_at
required
Created At
string format: date-time
has_password
Has Password
boolean
id
required
Id
string format: uuid
kind
required
Kind
string
prefix
Prefix
string
resource_id
required
Resource Id
string format: uuid
resource_name
Resource Name
string
role
Role
string
upload_count
Upload Count
integer
url
Url
string
total
Total
integer
Example
{ "items": [ { "access_count": 0, "has_password": false, "kind": "folder", "prefix": "", "resource_name": "", "role": "viewer", "upload_count": 0, "url": "" } ], "total": 0}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}